Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.da.taxonomy.portal
Class CommunityTemplateTaxonomy

    java.lang.Object
      com.bea.p13n.delegation.taxonomy.ParentedTaxonomyBuilder
          com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy
              com.bea.portal.tools.da.taxonomy.portal.CommunityTemplateTaxonomy

All Implemented Interfaces
  TaxonomyBuilder, Serializable

    public class CommunityTemplateTaxonomy

extends com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy

Taxonomy for a CommunityTemplate, which is contained within a CommunitiesTemplates taxonomy node.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.delegation.taxonomy.TaxonomyBuilder
`TAXONOMY_DELIMITER`

Constructor Summary
`CommunityTemplateTaxonomy(CommunitiesTemplatesTaxonomy parentTaxonomy, DesktopDefinitionId deskDefId, String webApp, boolean isGlobal)` Constructs a CommunityTemplate taxonomy, parented by a CommunitiesTemplates taxonomy node, with the desktop definition id of the CommunityTemplate, the name of the containing webapp, and a specifier as to whether the CommunityTemplate is global or not.

Method Summary
`protected String` | `getLeafTaxonomy()` Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.

Methods inherited from class com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy
`getDesktopTaxonomyNodeId`

Methods inherited from class com.bea.p13n.delegation.taxonomy.ParentedTaxonomyBuilder
`buildTaxonomy, getParentTaxonomy, getTaxonomyLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityTemplateTaxonomy

    public CommunityTemplateTaxonomy(CommunitiesTemplatesTaxonomy parentTaxonomy,
                                     DesktopDefinitionId deskDefId,
                                     String webApp,
                                     boolean isGlobal)

  Constructs a CommunityTemplate taxonomy, parented by a CommunitiesTemplates taxonomy node, with the desktop definition id of the CommunityTemplate, the name of the containing webapp, and a specifier as to whether the CommunityTemplate is global or not.

  Parameters
    `parentTaxonomy` - the parent CommunitiesTemplatesTaxonomy
    `deskDefId` - the definition id for the desktop associated with the CommunityTemplate
    `webApp` - the webapp containing the CommunityTemplate
    `isGlobal` - whether or not the CommunityTemplate is global

Method Detail

### getLeafTaxonomy

    protected String getLeafTaxonomy()

  Description copied from class: `ParentedTaxonomyBuilder`
  Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.

  Specified by:
    `getLeafTaxonomy` in class `ParentedTaxonomyBuilder`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved